Bug 1722971 (CVE-2019-10173) - CVE-2019-10173 xstream: remote code execution due to insecure XML deserialization (regression of CVE-2013-7285)
Summary: CVE-2019-10173 xstream: remote code execution due to insecure XML deserializa...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10173
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1720430
TreeView+ depends on / blocked
 
Reported: 2019-06-21 21:07 UTC by Laura Pardo
Modified: 2019-09-29 15:15 UTC (History)
23 users (show)

Fixed In Version: xstream 1.4.11
Doc Type: If docs needed, set a value
Doc Text:
It was found that xstream API version 1.4.10 introduced a regression for a previous deserialization flaw. If the security framework has not been initialized, it may allow a remote attacker to run arbitrary shell commands when unmarshalling XML or any supported format. This a regression of CVE-2013-7285 fixed in 1.4.7 (fixed) as of BPMS 6.0.1, the regression was introduced with xstream-1.4.10 implemented in RHPAM.
Clone Of:
Environment:
Last Closed: 2019-07-22 15:07:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1822 None None None 2019-07-22 14:54:13 UTC
Red Hat Product Errata RHSA-2019:1823 None None None 2019-07-22 14:53:46 UTC

Description Laura Pardo 2019-06-21 21:07:42 UTC
A vulnerability was found in xstream API version 1.4.10, if the security framework has not been initialized, it may allow a remote attacker to run arbitrary shell commands by manipulating the processed input stream when unmarshaling XML or any supported format. e.g. JSON. This a regression of CVE-2013-7285 fixed in 1.4.7 (fixed) as of BPMS 6.0.1, the regression was introduced with xstream-1.4.10 implemented in RHPAM.


References:
https://access.redhat.com/security/cve/cve-2013-7285

Comment 9 Chess Hazlett 2019-07-22 13:51:41 UTC
External References:

http://x-stream.github.io/changes.html#1.4.11

Comment 11 errata-xmlrpc 2019-07-22 14:53:44 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2019:1823 https://access.redhat.com/errata/RHSA-2019:1823

Comment 12 errata-xmlrpc 2019-07-22 14:54:12 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2019:1822 https://access.redhat.com/errata/RHSA-2019:1822

Comment 13 Product Security DevOps Team 2019-07-22 15:07:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10173


Note You need to log in before you can comment on or make changes to this bug.